Struts 1.3.10, z/OS and JDK 1.4

Discussions regarding Open Source Java projects under z/OS (other than Tomcat)
Post Reply
davidm
Posts: 6
Joined: Thu May 28, 2009 11:15 am

Struts 1.3.10, z/OS and JDK 1.4

Post by davidm » Wed Jul 01, 2009 12:01 pm

Hello,

We have a webapp that uses an older version of struts and would like to upgrade it to 1.3.10.

We have a fair amount of customers who use our product on z/OS but use IBM's 1.4 JDK for whatever reason.

Our concern in upgrading is whether struts 1.3.10 has any later Java language features that would require a higher VM version than 1.4.

I have compiled the 1.3.10 source successfully using a 1.4 compiler so the answer would seem to be no. However, I would be even more reassured if I knew of anyone with a more than trivial webapp that uses struts 1.3.10 AND runs fine on z/OS with the 1.4 JVM.

Anybody?

Thanks!

Post Reply